DRM_ATOMIC_HELPER_PL(9)

NAME
drm_atomic_helper_plane_duplicate_state - default state duplicate hook

SYNOPSIS

struct drm_plane_state * drm_atomic_helper_plane_duplicate_state(struct drm_plane * plane);

ARGUMENTS

plane
    drm plane

DESCRIPTION

Default plane state duplicate hook for drivers which don't have their own subclassed plane state structure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT